changeset 32:927f02ccc596 version-0.4.6

Update to Gradle 7.4.2
author Kyle Miller <kyle.miller@mcoecn.org>
date Fri, 05 Aug 2022 19:22:06 +0100
parents bd084c7d01df
children 30f522dca380
files build.gradle gradle.properties gradle/wrapper/gradle-wrapper.jar gradle/wrapper/gradle-wrapper.properties gradlew gradlew.bat src/main/groovy/org/ssdt_ohio/gradle/plugins/UserDocPlugin.groovy src/test/groovy/org/ssdt_ohio/gradle/plugins/UserDocPluginTest.groovy
diffstat 8 files changed, 74 insertions(+), 72 deletions(-) [+]
line wrap: on
line diff
--- a/build.gradle	Fri Aug 05 16:41:42 2022 +0100
+++ b/build.gradle	Fri Aug 05 19:22:06 2022 +0100
@@ -6,8 +6,8 @@
  *
  */
 
-def ssdtInit = 'init50'
-apply from: "${gradle.ext.has('ssdtDevelkitLocation') ? gradle.ssdtDevelkitLocation : 'http://hg.ssdt-ohio.org/browse/public/develkit'}/${ssdtInit}.gradle"
+def ssdtInit = 'init70'
+apply from: resources.text.fromInsecureUri("${gradle.ext.has('ssdtDevelkitLocation') ? gradle.ssdtDevelkitLocation : 'http://hg.ssdt-ohio.org/browse/public/develkit'}/${ssdtInit}.gradle")
 
 description = "SSDT Gradle Plugins"
 
@@ -15,19 +15,19 @@
 
 apply plugin: 'groovy'
 apply plugin: 'idea'
-apply plugin: 'maven'
+apply plugin: 'maven-publish'
 
 defaultTasks 'clean', 'build'
 
 sourceCompatibility = 1.8
 
 dependencies {
-    compile     localGroovy()
-    compile     gradleApi()
-    compile     "org.asciidoctor:asciidoctorj:1.5.4"
-    compile     'org.apache.commons:commons-lang3:3.4'
+    implementation localGroovy()
+    implementation gradleApi()
+    implementation "org.asciidoctor:asciidoctorj:1.5.4"
+    implementation 'org.apache.commons:commons-lang3:3.4'
 
-    testCompile 'junit:junit:4.10'
+    testImplementation 'junit:junit:4.10'
 }
 
 idea.project {
--- a/gradle.properties	Fri Aug 05 16:41:42 2022 +0100
+++ b/gradle.properties	Fri Aug 05 19:22:06 2022 +0100
@@ -7,3 +7,6 @@
 
 version=0.4.6
 group=org.ssdt_ohio
+
+# Suppress "Executing" from console logging
+org.gradle.console = plain
Binary file gradle/wrapper/gradle-wrapper.jar has changed
--- a/gradle/wrapper/gradle-wrapper.properties	Fri Aug 05 16:41:42 2022 +0100
+++ b/gradle/wrapper/gradle-wrapper.properties	Fri Aug 05 19:22:06 2022 +0100
@@ -1,12 +1,5 @@
-#
-# Copyright (c) 2020.  Ohio Department of Education. - All Rights Reserved.
-# Unauthorized copying of this file, in any medium, is strictly prohibited.
-# Written by the State Software Development Team (http://ssdt.oecn.k12.oh.us/)
-#
-#
-
 distributionBase=GRADLE_USER_HOME
 distributionPath=wrapper/dists
-distributionUrl=https\://services.gradle.org/distributions/gradle-5.0-all.zip
+distributionUrl=https\://services.gradle.org/distributions/gradle-7.4.2-all.zip
 zipStoreBase=GRADLE_USER_HOME
 zipStorePath=wrapper/dists
--- a/gradlew	Fri Aug 05 16:41:42 2022 +0100
+++ b/gradlew	Fri Aug 05 19:22:06 2022 +0100
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
 
 ##############################################################################
 ##
@@ -6,42 +6,6 @@
 ##
 ##############################################################################
 
-# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
-DEFAULT_JVM_OPTS=""
-
-APP_NAME="Gradle"
-APP_BASE_NAME=`basename "$0"`
-
-# Use the maximum available, or set MAX_FD != -1 to use that value.
-MAX_FD="maximum"
-
-warn ( ) {
-    echo "$*"
-}
-
-die ( ) {
-    echo
-    echo "$*"
-    echo
-    exit 1
-}
-
-# OS specific support (must be 'true' or 'false').
-cygwin=false
-msys=false
-darwin=false
-case "`uname`" in
-  CYGWIN* )
-    cygwin=true
-    ;;
-  Darwin* )
-    darwin=true
-    ;;
-  MINGW* )
-    msys=true
-    ;;
-esac
-
 # Attempt to set APP_HOME
 # Resolve links: $0 may be a link
 PRG="$0"
@@ -60,6 +24,46 @@
 APP_HOME="`pwd -P`"
 cd "$SAVED" >/dev/null
 
+APP_NAME="Gradle"
+APP_BASE_NAME=`basename "$0"`
+
+# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
+DEFAULT_JVM_OPTS='"-Xmx64m"'
+
+# Use the maximum available, or set MAX_FD != -1 to use that value.
+MAX_FD="maximum"
+
+warn () {
+    echo "$*"
+}
+
+die () {
+    echo
+    echo "$*"
+    echo
+    exit 1
+}
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false
+msys=false
+darwin=false
+nonstop=false
+case "`uname`" in
+  CYGWIN* )
+    cygwin=true
+    ;;
+  Darwin* )
+    darwin=true
+    ;;
+  MINGW* )
+    msys=true
+    ;;
+  NONSTOP* )
+    nonstop=true
+    ;;
+esac
+
 CLASSPATH=$APP_HOME/gradle/wrapper/gradle-wrapper.jar
 
 # Determine the Java command to use to start the JVM.
@@ -85,7 +89,7 @@
 fi
 
 # Increase the maximum file descriptors if we can.
-if [ "$cygwin" = "false" -a "$darwin" = "false" ] ; then
+if [ "$cygwin" = "false" -a "$darwin" = "false" -a "$nonstop" = "false" ] ; then
     MAX_FD_LIMIT=`ulimit -H -n`
     if [ $? -eq 0 ] ; then
         if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ] ; then
@@ -150,11 +154,19 @@
     esac
 fi
 
-# Split up the JVM_OPTS And GRADLE_OPTS values into an array, following the shell quoting and substitution rules
-function splitJvmOpts() {
-    JVM_OPTS=("$@")
+# Escape application args
+save () {
+    for i do printf %s\\n "$i" | sed "s/'/'\\\\''/g;1s/^/'/;\$s/\$/' \\\\/" ; done
+    echo " "
 }
-eval splitJvmOpts $DEFAULT_JVM_OPTS $JAVA_OPTS $GRADLE_OPTS
-JVM_OPTS[${#JVM_OPTS[*]}]="-Dorg.gradle.appname=$APP_BASE_NAME"
+APP_ARGS=$(save "$@")
+
+# Collect all arguments for the java command, following the shell quoting and substitution rules
+eval set -- $DEFAULT_JVM_OPTS $JAVA_OPTS $GRADLE_OPTS "\"-Dorg.gradle.appname=$APP_BASE_NAME\"" -classpath "\"$CLASSPATH\"" org.gradle.wrapper.GradleWrapperMain "$APP_ARGS"
 
-exec "$JAVACMD" "${JVM_OPTS[@]}" -classpath "$CLASSPATH" org.gradle.wrapper.GradleWrapperMain "$@"
+# by default we should be in the correct project dir, but when run from Finder on Mac, the cwd is wrong
+if [ "$(uname)" = "Darwin" ] && [ "$HOME" = "$PWD" ]; then
+  cd "$(dirname "$0")"
+fi
+
+exec "$JAVACMD" "$@"
--- a/gradlew.bat	Fri Aug 05 16:41:42 2022 +0100
+++ b/gradlew.bat	Fri Aug 05 19:22:06 2022 +0100
@@ -8,14 +8,14 @@
 @rem Set local scope for the variables with windows NT shell
 if "%OS%"=="Windows_NT" setlocal
 
-@rem Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
-set DEFAULT_JVM_OPTS=
-
 set DIRNAME=%~dp0
 if "%DIRNAME%" == "" set DIRNAME=.
 set APP_BASE_NAME=%~n0
 set APP_HOME=%DIRNAME%
 
+@rem Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
+set DEFAULT_JVM_OPTS="-Xmx64m"
+
 @rem Find java.exe
 if defined JAVA_HOME goto findJavaFromJavaHome
 
@@ -46,10 +46,9 @@
 goto fail
 
 :init
-@rem Get command-line arguments, handling Windowz variants
+@rem Get command-line arguments, handling Windows variants
 
 if not "%OS%" == "Windows_NT" goto win9xME_args
-if "%@eval[2+2]" == "4" goto 4NT_args
 
 :win9xME_args
 @rem Slurp the command line arguments.
@@ -60,11 +59,6 @@
 if "x%~1" == "x" goto execute
 
 set CMD_LINE_ARGS=%*
-goto execute
-
-:4NT_args
-@rem Get arguments from the 4NT Shell from JP Software
-set CMD_LINE_ARGS=%$
 
 :execute
 @rem Setup the command line
--- a/src/main/groovy/org/ssdt_ohio/gradle/plugins/UserDocPlugin.groovy	Fri Aug 05 16:41:42 2022 +0100
+++ b/src/main/groovy/org/ssdt_ohio/gradle/plugins/UserDocPlugin.groovy	Fri Aug 05 19:22:06 2022 +0100
@@ -43,7 +43,7 @@
 
         userDoc.setDestinationDir(new File(project.buildDir, "docs/userdoc"))
 
-        userDoc.setGroovyClasspath(new GroovyRuntime(project).inferGroovyClasspath(project.configurations.compile))
+        userDoc.setGroovyClasspath(new GroovyRuntime(project).inferGroovyClasspath(project.configurations.runtimeClasspath))
 
     }
 
--- a/src/test/groovy/org/ssdt_ohio/gradle/plugins/UserDocPluginTest.groovy	Fri Aug 05 16:41:42 2022 +0100
+++ b/src/test/groovy/org/ssdt_ohio/gradle/plugins/UserDocPluginTest.groovy	Fri Aug 05 19:22:06 2022 +0100
@@ -21,7 +21,7 @@
         project.apply plugin: 'groovy'
 
         project.dependencies {
-            compile localGroovy()
+            implementation localGroovy()
         }
         UserDoc task = project.tasks.userdoc
         assert task instanceof UserDoc